Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.GGG
Class GGG_Explorer

    java.lang.Object
      madkit.kernel.AbstractAgent
          warbot.kernel.Brain
              warbot.GGG.GGG_WB
                  warbot.GGG.GGG_WB_Mobile
                      warbot.GGG.GGG_Explorer

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class GGG_Explorer

extends GGG_WB_Mobile

See Also:
  Serialized Form

Field Summary

Fields inherited from class warbot.GGG.GGG_WB_Mobile
`actionTgt, butTgt, groupe, tactTgt`

Fields inherited from class warbot.GGG.GGG_WB
`ALL_GROUPS, ALL_ROLES, TEAM`

Constructor Summary
`GGG_Explorer()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`protected void` | `actualiserBut()`
`protected void` | `actualiserRole()`
`protected void` | `actualiserTactique()`
`void` | `doIt()` This method controls the behavior of a robot.
`protected void` | `effectuerBut()`
`protected void` | `effectuerRole()`
`protected void` | `effectuerTactique()`
`protected void` | `introspecter()`

Methods inherited from class warbot.GGG.GGG_WB_Mobile
`arcInterdit, arcsInterdits, calculerEvitement, enVue, orienterAvecCorrection, orienterOpposeAvecCorrection, retablirCible, spirale, suivre, toucheUnAmi, tournerAutour`

Methods inherited from class warbot.GGG.GGG_WB
`distanceTo, localiserAmi, modulo, toDegre, toRadian`

Methods inherited from class warbot.kernel.Brain
`bagSize, broadcast, broadcast, broadcast, broadcast, broadcastMessage, buildRocket, createAgent, distanceTo, drop, dropAll, eat, edit, getBagCapacity, getBagPercepts, getCoveredDistance, getEnergyLevel, getHeading, getMaximumEnergy, getPercepts, getResourceLevel, getRocketNumber, getShot, getTeam, init, isBagEmpty, isBagFull, isMoving, isMyBagEmpty, isMyBagFull, isShowUserMessage, launchRocket, move, randomHeading, readMessage, receiveMessage, send, send, send, send, sendMessage, sendMessage, setHeading, setUserMessage, showUserMessage, take, towards`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GGG_Explorer

    public GGG_Explorer()

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `GGG_WB_Mobile`

### doIt

    public void doIt()

  Description copied from class: `Brain`
  This method controls the behavior of a robot. It is called once per turn. This method must be implemented in subclasses of this class.

  Overrides:
    `doIt` in class `GGG_WB_Mobile`

### introspecter

    protected void introspecter()

  Overrides:
    `introspecter` in class `GGG_WB_Mobile`

### actualiserRole

    protected void actualiserRole()

  Overrides:
    `actualiserRole` in class `GGG_WB_Mobile`

### effectuerRole

    protected void effectuerRole()

  Overrides:
    `effectuerRole` in class `GGG_WB_Mobile`

### actualiserTactique

    protected void actualiserTactique()

  Overrides:
    `actualiserTactique` in class `GGG_WB_Mobile`

### effectuerTactique

    protected void effectuerTactique()

  Overrides:
    `effectuerTactique` in class `GGG_WB_Mobile`

### actualiserBut

    protected void actualiserBut()

  Overrides:
    `actualiserBut` in class `GGG_WB_Mobile`

### effectuerBut

    protected void effectuerBut()

  Overrides:
    `effectuerBut` in class `GGG_WB_Mobile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.